#!/usr/bin/env python
try:
    from Tkinter import *
except ImportError:
    from tkinter import *
import time
import sys
import threading
from os import path, remove


def showpic(argv):
    _root = Tk()
    time_limit = 4
    red, green, blue = 0, 0, 0
    x_off, y_off = 0, 0
    print(argv)   
    for i in range(0, len(argv)):
        if argv[i] == '-t':
            time_limit = int(argv[i+1])
            i += 1
        elif argv[i] == '-bgc':
            red, green, blue = int(argv[i+1]), int(argv[i+2]), int(argv[i+3])
            i += 3
        elif argv[i] == '-offset':
            x_off, y_off = int(argv[i+1]), int(argv[i+2])
            i += 2
    srv = '%02x' % red
    sgv = '%02x' % green
    sbv = '%02x' % blue
    bg_str = "#" + srv + sgv + sbv
    
    _root.geometry('7680x4320+%d+%d' % (x_off, y_off))
    _root.wm_attributes("-fullscreen", True)
    _root.wm_attributes("-topmost", True)
    _root.configure(bg=bg_str)
    _root.after(time_limit*1000,_root.destroy)
    _root.mainloop()

if __name__ == '__main__':
    th = threading.Thread(target=showpic, args=(sys.argv,))
    th.daemon = False
    th.start()    

